using System.Collections.Generic;

using Syntriax.Engine.Core;

namespace Syntriax.Engine.Network;

public interface INetworkManager
{
    IReadOnlyDictionary<string, INetworkEntity> NetworkEntities { get; }
    IBehaviourCollector<INetworkEntity> NetworkEntityCollector { get; }
}
