using LiteNetLib.Utils;

using Syntriax.Engine.Core;

namespace Syntriax.Engine.Network;

internal static class AABBNetPacker
{
    internal static void Write(NetDataWriter writer, AABB data)
    {
        Vector2DNetPacker.Write(writer, data.LowerBoundary);
        Vector2DNetPacker.Write(writer, data.UpperBoundary);
    }

    internal static AABB Read(NetDataReader reader)
    {
        Vector2D lowerBoundary = Vector2DNetPacker.Read(reader);
        Vector2D upperBoundary = Vector2DNetPacker.Read(reader);

        return new AABB(lowerBoundary, upperBoundary);
    }
}
