using LiteNetLib.Utils;

using Syntriax.Engine.Core;

namespace Syntriax.Engine.Network;

internal static class ColorRGBANetPacker
{
    internal static void Write(NetDataWriter writer, ColorRGBA data)
    {
        writer.Put(data.R);
        writer.Put(data.G);
        writer.Put(data.B);
        writer.Put(data.A);
    }

    internal static ColorRGBA Read(NetDataReader reader)
    {
        byte red = reader.GetByte();
        byte green = reader.GetByte();
        byte blue = reader.GetByte();
        byte alpha = reader.GetByte();

        return new ColorRGBA(red, green, blue, alpha);
    }
}
