using LiteNetLib.Utils;

using Syntriax.Engine.Core;

namespace Syntriax.Engine.Network;

internal static class CircleNetPacker
{
    internal static void Write(NetDataWriter writer, Circle data)
    {
        Vector2DNetPacker.Write(writer, data.Center);
        writer.Put(data.Radius);
    }

    internal static Circle Read(NetDataReader reader)
    {
        Vector2D center = Vector2DNetPacker.Read(reader);
        float radius = reader.GetFloat();

        return new Circle(center, radius);
    }
}
