using LiteNetLib.Utils;

using Syntriax.Engine.Core;

namespace Syntriax.Engine.Network;

internal static class Projection1DNetPacker
{
    internal static void Write(NetDataWriter writer, Projection1D data)
    {
        writer.Put(data.Min);
        writer.Put(data.Max);
    }

    internal static Projection1D Read(NetDataReader reader)
    {
        float min = reader.GetFloat();
        float max = reader.GetFloat();

        return new Projection1D(min, max);
    }
}
